:root {
  --body-bg: #fbfbf9;
  --heading-color-light: whitesmoke;
  --heading-color: #171717;
  --p-color: #303030;
  --mobile-bar-span: #7b7c7d;
  --desktop-footer-bg: #1f1f1f;
  --desktop-footer-heading: whitesmoke;
  /*--dembro-yellow: #ecce23;*/
  --dembro-yellow: #8B1E0E;
}

/* wszystkie taby – kolor tekstu */

.nav-pills .nav-link {
  color: var(--heading-color);
  font-family: Montserrat, sans-serif;
  font-size: 14px;
  font-weight: bold;
  border: 1px solid transparent;
}

.nav-pills .nav-link.active {
  background-color: #fbfbf9!important;
  border: 1px solid #ccc;
  color: var(--heading-color)!important;
}

.search-input {
  width: 500px;
  background-color: #e7e7e7;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 5px 15px;
}

.logotype-dot {
  color: var(--dembro-yellow);
  font-weight: bold;
}

body {
  /*padding-bottom: 60px;*/
}

main {
  background-color: var(--body-bg);
}

h1, h2, h3, h4, h5, h5 {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
}

.navbar .nav-link {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
}

.navbar .nav-link.active, .navbar .nav-link:hover {
  color: var(--dembro-yellow)!important;
}

.fw-900 {
  font-weight: 900 !important;
}

#mobile__bar button span {
  font-size: 0.725rem;
  margin-top: 3px;
  color: var(--mobile-bar-span);
}

/* #offcanvas__mobile-categories 
#offcanvas__mobile-account */

#swiper__hero {
  height: 500px;
}

#swiper__hero .swiper-slide {
  position: relative;
  height: 100%;
}

#swiper__hero .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* overlay z tekstem */

#swiper__hero .swiper-slide > div {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
  text-align: center;
  z-index: 2;
  color: white;
}

#swiper__hero .swiper-slide::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.35);
}

.swiper-pagination-progressbar-fill {
  background: var(--dembro-yellow)!important;
  height: 5px;
}

/* FOOTER */

#desktop__footer {
  background-color: var(--desktop-footer-bg);
}

.desktop__footer-heading {
  color: var(--desktop-footer-heading);
}

.desktop__footer-link {
  font-family: Montserrat, sans-serif;
  text-decoration: none;
  color: #ccc;
  transition: color 0.3s ease, text-shadow 0.3s ease;
  font-size: 14px;
}

#modal__mobile-menu .desktop__footer-link {
  padding: 0 10px;
  color: #363636;
  font-size: 1.2rem;
  border-right: 1px solid #ccc;
}

#modal__mobile-menu .list-inline-item:last-child .desktop__footer-link {
  border-right: none;
}

.desktop__footer-link:hover {
  color: #fff;
  text-shadow: 0 0 8px rgba(255,255,255,0.6);
}

.author__info {
  font-family: Montserrat, sans-serif;
  font-size: 14px;
}

.author__info-link {
  color: #bdbdbd;
}

.author__info-link:hover {
  color: #dac135;
}

#when__logged .user-initials {
  width: 50px;
  height: 50px;
  display: grid;
  place-items: center;
  font-size: 18px;
  border-radius: 50%;
  background-color: var(--desktop-footer-bg);
  font-family: Montserrat, sans-serif;
  color: #fff;
}

#offcanvas__mobile-search {
  height: auto !important;
  max-height: 100dvh;
}

.shortcut__image {
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 5px;
}

.shortcut__msg {
  font-family: Montserrat, sans-serif;
  font-weight: bold;
  color: #a5a4a4;
  font-size: 14px;
}

#offcanvas__mobile-account {
  height: auto !important;
  max-height: 100dvh;
}

#offcanvas__mobile-categories {
  min-height: 650px !important;
  /*filter: invert(1);*/
}

.shortcut__link, .my__account-links {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  margin: 10px 0;
}

.my__account-links span {
  width: 100%;
}

.category-toggle .fa-chevron-down {
  transition: transform 0.25s ease;
}

.my__account-links {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  margin: 10px 0;
}

.my__account-links span {
  width: 100%;
}

/* OFFCANVAS CATEGORIES */

.my__cat-nav {
  position: relative;
  overflow: hidden;
}

.my__cat-panel {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  transform: translateX(100%);
  transition: transform .3s ease;
  pointer-events: none;
}

.my__cat-panel.active {
  position: relative;
  transform: translateX(0);
  pointer-events: auto;
}

.my__cat-panel.exit-left {
  transform: translateX(-100%);
  pointer-events: none;
}

.my__cat-back-item {
  background-color: whitesmoke;
}

.my__cat-back {
  font-weight: 600;
}

.my__account-links {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  margin: 10px 0;
}

.my__account-links span {
  width: 100%;
}

.swiper-button-next::after, .swiper-button-prev::after {
  color: var(--dembro-yellow) !important;
  font-size: 20px;
  font-weight: bold;
}

/* KATEGORIE SKLEPU */

#category__info {
  background-color: var(--desktop-footer-bg);
  font-family: Montserrat, sans-serif;
}

.category__info-heading {
  color: var(--heading-color-light);
}

.breadcrumb-item + .breadcrumb-item::before, .breadcrumb a {
  color: var(--heading-color-light);
  text-decoration: none;
  font-family: Montserrat, sans-serif;
  font-size: 14px;
}

.breadcrumb a:hover {
  color: var(--dembro-yellow);
}

.cart-info {
  font-size: 0.725rem;
  margin-top: 3px;
  color: var(--mobile-bar-span);
}

/* SLIDER KATEGORII */

/* swiper musi pozwolić stretchować */

.swiper-wrapper {
  align-items: stretch;
}

/* każdy slide jako flex */

.category__list-slide {
  display: flex;
  height: auto;
}

/* box wewnątrz slide */

.category__list-slide > div {
  display: flex;
  flex-direction: column;
  flex: 1;
  border: 1px solid var(--bs-border-color);
  border-radius: 5px;
  background: #fff;
}

/* link jako pełna wysokość */

.category__list-link {
  height: 100%;
}

/* tekst na dół (wyrównanie) */

.category__list-text {
  margin-top: auto;
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  font-size: 0.825rem;
  text-align: center;
}

.category__list-img {
  width: 75%;
  height: auto;
}

/* .category__list-slide div {
  border: 1px solid var(--bs-border-color);
  border-radius: 5px;
  background: #fff;
}

.category__list-img {
  width: 75%;
  height: auto;
}

.category__list-text {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  font-size: 0.825rem;
  text-align: center;
} */

.shado {
  box-shadow: rgba(149, 157, 165, 0.2) 0px 5px 15px;
  border: 1px solid rgba(190, 190, 190, 0.2);
}

.contact__page-link {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  font-size: 1.6rem;
}

.contact__page-link:hover {
  text-decoration: underline!important;
}

.contact__page-icon-wrapper {
  min-width: 30px;
  display: inline-block;
}

/* BREADCRUMBS */

/* wrapper */

.c-breadcrumbs {
  display: flex;
  align-items: center;
  font-family: 'Montserrat', sans-serif;
  color: var(--heading-color);
  overflow-x: auto;
  white-space: nowrap;
  padding-bottom: 4px;
  scrollbar-width: none;
  -webkit-mask-image: linear-gradient(to right, transparent, black 12px, black calc(100% - 12px), transparent);
  mask-image: linear-gradient(to right, transparent, black 12px, black calc(100% - 12px), transparent);
}

.c-breadcrumbs::-webkit-scrollbar {
  display: none;
}

/* item */

.c-breadcrumbs__item {
  position: relative;
  flex-shrink: 0;
  font-size: 12px;
  /*text-transform: uppercase;*/
  color: var(--heading-color);
  text-decoration: none;
  padding: 0 8px;
  transition: color 0.2s ease;
}

/* separator */

.c-breadcrumbs__item:not(:last-child)::after {
  content: "/";
  margin-left: 8px;
  opacity: 0.6;
}

/* hover */

.c-breadcrumbs__item:hover {
  color: var(--dembro-yellow);
}

/* current */

.c-breadcrumbs__item--current {
  font-weight: 600;
  pointer-events: none;
}

/* SINGLE PRODUCT */

.single__product-title {
  font-family: Montserrat, sans-serif;
  color: var(--heading-color);
  /*font-size: 0.825rem;*/
}

#single__product-gallery img {
  border: 1px solid var(--bs-border-color);
  border-radius: 8px;
  object-fit: cover;
}

#single__product-gallery a img {
  transition: opacity 0.3s ease;
}

#accordion-single-product {
  font-family: 'Montserrat', sans-serif;
}

#accordion-single-product .accordion-button {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.5rem;
  color: var(--heading-color);
  background-color: var(--body-bg);
  box-shadow: none;
  outline: none;
}

#accordion-single-product .accordion-button:focus {
  box-shadow: none;
  outline: none;
}

#accordion-single-product .accordion-button:not(.collapsed) {
  color: var(--heading-color);
  background-color: var(--body-bg);
  box-shadow: none;
}

#accordion-single-product .accordion-body {
  font-family: 'Montserrat', sans-serif;
  color: var(--heading-color);
  background-color: var(--body-bg);
}

